# Method: curators.curatedPackages.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list#body.ListCuratedPackagesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list#try-it)

Lists curated packages owned by the specified curator.

### HTTP request

`GET https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{parent=curators/*}/curatedPackages`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent curator account which owns this collection of curated packages. Format: `curators/{accountId}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. The server may return fewer results than requested. Max allowed page size is 500. If unspecified, the server will default to 500. |
| `pageToken` | `string` Optional. A page token, received from a previous `curatedPackages.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` Optional. Optional query string using the [Cloud API list filtering syntax](https://developers.google.com/authorized-buyers/apis/guides/list-filters). Supported columns for filtering are: - displayName - createTime - updateTime - state - feeCpm.currencyCode - feeCpm.units - feeCpm.nanos - floorPriceCpm.currencyCode - floorPriceCpm.units - floorPriceCpm.nanos |

### Request body

The request body must be empty.

### Response body

Response message for curatedPackages.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "curatedPackages": [ { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages#CuratedPackage`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `curatedPackages[]` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages#CuratedPackage`)`` The list of curated packages. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/curators.curatedPackages/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `curatedPackages.list` method to retrieve the next page of results. If empty, then there are no more results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`